API OverviewAPI Reference
developer.placewise.comapp.placewise.complacewise.com
API OverviewAPI Reference
developer.placewise.comapp.placewise.complacewise.com
IndexPublic APIManagement APIUsers API
Operations APIMessaging APIReporting APIML APIData APISystem API
IndexPublic APIManagement APIUsers API
Operations APIMessaging APIReporting APIML APIData APISystem API
  1. UI Storage
  • Introduction
  • Users
    • Introduction
    • Account
      • Show Notifications Settings
      • Update Notifications Settings
    • UI Storage
      • Show UI Storage
        GET
      • Update UI Storage
        PUT
    • List Users
      GET
  • Conversations
    • Introduction
    • Conversations
      • Mark Conversation as "received"
      • Create Conversation
      • List Conversations
      • Show Conversation
      • Mark Conversation as "seen"
      • Archive Conversation
    • Messages
      • Create Message
      • List Messages
      • Archive Message
  • Notifications
    • List Notifications
      GET
    • Show Notification
      GET
    • Mark all Notifications as Received
      PUT
    • Mark Notification as Seen
      PUT
    • Mark all Notifications as Seen
      PUT
    • Mark Notification as Received
      PUT
  • Subunits Scopes
    • List Subunits Scopes for User
      GET
  1. UI Storage

Show UI Storage

Developing
GET
https://api.mpc.dev.placewise.com/v1/users/me/ui_storage
API Permit:Users:Api:User:UIStorage:Show
API Context:Global
Authorizations:User

Request

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C#
Ruby
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.mpc.dev.placewise.com/v1/users/me/ui_storage' \
--header 'X-User-Agent: ApiDog' \
--header 'X-Product-Name: default' \
--header 'X-Loyalty-Club-Slug: infinity-mall' \
--header 'X-Customer: 447' \
--header 'Authorization: Bearer ' \
--header 'X-Client-Authorization: ' \
--header 'Content-Type: application/json'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "storage": {
        "favourite_audiences": [
            55143
        ],
        "audiences_history": [
            15532
        ],
        "customers_history": [
            {
                "type": "string",
                "identifier": "string",
                "storeId": "string"
            }
        ],
        "timezone_config": {}
    }
}
Previous
Update Notifications Settings
Next
Update UI Storage
Built with